//#include <stdio.h>
//#include <stdlib.h>
#include <avr/io.h>
#include <avr/power.h>
#include <util/delay.h>
#include <avr/interrupt.h>

int main(int argc, char **argv) {
  /*Deactivate clock prescalers*/
  clock_prescale_set(clock_div_1);
  
  DDRB  |= 0xFF;
  PORTB |= 0xFF;
  
  int8_t i = 0;
  while (1)
  {
    PORTB = 0xFF;
    PORTB &= ~(1<<i);
    if (i == 7)
      i = 0;
    i++;
    
    _delay_ms(100);
  }
    return 0;
}
